package fr.cnam.espacetore;

import java.awt.Point;
import java.util.*;
import java.rmi.*;
import fr.cnam.joueur.*;

public interface EspaceToreInt
{
  public Point arriver(AgentInt agent,int couleur);
  public Point deplacer(int numero,int x,int y,int sensX,int sensY,int couleur);
  public ObservableEspace getObservable();
  public int getNbX() ;
  public int getNbY() ;
  public int getTailleCellule() ;
  public Vector getPopulation(int couleur);
  public CelluleGrille[][] getGrille();
  public Vector getAutrePopulation(int couleur);
  public int getTempo();
  public boolean getModeCombat();
  public int getNumero();
}
