package fr.cnam.joueur;

import java.rmi.*;
import fr.cnam.espacetore.*;

import fr.cnam.espacetore.EspaceToreODInt;
import fr.cnam.joueur.FactoryAgentInt;

public class Agent_Prudent extends Agent 
{
    int nbFuire;
    public Agent_Prudent(int couleur,
              FactoryAgentInt factory,
              int portRMI) throws RemoteException
    {
        super(couleur,
              factory,
              portRMI);
        nbFuire = 0;
    }

    public void deplacer()
    {
        try{
            if (! espace.getModeCombat())
                {
                    fuireEnnemie();
                    if (! deplacerEnsemble(10))
                        super.deplacer();
                }
            else
                {
                  if ( (getNbVie()<5) && (nbFuire<50) )
                        {
                            if (! fuireEnnemie())
                                super.deplacer();
                            nbFuire++;
                        }
                    else
                        {
                          deplacerEnnemie();
                          super.deplacer();
                        }
                }

            
        }catch(Exception ex){System.out.println(ex);ex.printStackTrace();};
    }
}